#3083 closed defect (fixed)

parallel make not working

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: highest Milestone: 5.1
Component: build Version: 5
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

As reported on the mailing list, parallel make on the master is broken.

Attachments (1)

0001-build-Provide-system-level-locking-so-only-one-insta.patch (22.2 KB) - added by Chris Johns on Nov 16, 2017 at 10:02:27 PM.
This patch add support for parallel installs. I have tested it on FreeBSD, Windows, and MacOS. Please test and report back. Make sure you run ./bootstrap -p in the top RTEMS source directory and you bootstrap autoconf and automake.

Download all attachments as: .zip

Change History (9)

comment:1 Changed on Jul 27, 2017 at 11:08:43 PM by Joel Sherrill

Owner: changed from chrisj@… to Chris Johns
Status: newassigned

comment:2 Changed on Aug 7, 2017 at 11:35:51 PM by Chris Johns

Priority: normalhighest

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:5 Changed on Nov 14, 2017 at 1:56:02 AM by Chris Johns

I wonder if this is due to different directories installing the same files at different levels in the build system and this has exposed something present in the build systems. We could see calls for install happening at the same time on the same file and I wonder if the Linux install executable is doing some checking that exposes this issue.

Changed on Nov 16, 2017 at 10:02:27 PM by Chris Johns

This patch add support for parallel installs. I have tested it on FreeBSD, Windows, and MacOS. Please test and report back. Make sure you run ./bootstrap -p in the top RTEMS source directory and you bootstrap autoconf and automake.

comment:6 Changed on Nov 16, 2017 at 10:09:52 PM by Chris Johns

Note, make install is broken. I will look at that if this fixes the build issue.

comment:7 Changed on Apr 9, 2018 at 10:52:54 PM by Chris Johns

comment:8 Changed on Apr 9, 2018 at 11:11:56 PM by Chris Johns

Resolution: fixed
Status: assignedclosed

This has been fixed with the switch to real parallel building of sub-directories, the removal of pre-installed header files, and now the testsuite has been refactored to use one nested make call per test group.

See:

  1. 2afb22b7/rtems
  2. 900c4073/rtems
Note: See TracTickets for help on using tickets.